Wampserver&phpmyadmin kurulumunda hata alıyorum

(atilla) #1

root@ATL:~# apt-get install mysql-server

Özet

Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
mysql-server paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘mysql-server’ paketi için kurulum adayı yok
root@ATL:~# apt-get update
Aynı: 1 http://depo.pardus.org.tr/pardus ondokuz InRelease
Aynı: 2 http://depo.pardus.org.tr/guvenlik ondokuz InRelease
Paket listeleri okunuyor… Bitti
root@ATL:~# apt-get update install
E: ‘update’ komutu argüman almaz
root@ATL:~# apt-get install update
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
E: update paketi bulunamadı
root@ATL:~# apt-get install php5 php-pear php5-mysql
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
php5 paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

php5-mysql paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘php5’ paketi için kurulum adayı yok
E: ‘php5-mysql’ paketi için kurulum adayı yok
root@ATL:~# apt-get install phpmyadmin
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
phpmyadmin paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘phpmyadmin’ paketi için kurulum adayı yok
root@ATL:~# sudo apt-get install phpmyadmin
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
phpmyadmin paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘phpmyadmin’ paketi için kurulum adayı yok
root@ATL:~# apt-get install mysql-server mysql-client
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
mysql-client paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

mysql-server paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘mysql-server’ paketi için kurulum adayı yok
E: ‘mysql-client’ paketi için kurulum adayı yok
root@ATL:~#

kurulum yapamıyorum. nerede hata yapıyorum yardımcı olurmusunuz.

0 Likes

(𝗄𝖺𝖺𝗇) #2

sudo apt install default-mysql-* komutu ile mysql kurunuz.

0 Likes

(atilla) #3

atillamaden@ATL:~$ sudo apt install default-mysql-*

Özet

[sudo] password for atillamaden:
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
Not, ‘default-mysql-’ ifadesi için ‘default-mysql-server-core’ seçiliyor
Not, 'default-mysql-
’ ifadesi için ‘default-mysql-server’ seçiliyor
Not, ‘default-mysql-’ ifadesi için ‘default-mysql-client’ seçiliyor
Not, 'default-mysql-
’ ifadesi için ‘default-mysql-client-core’ seçiliyor
Aşağıdaki ek paketler kurulacak:
galera-3 gawk libaio1 libcgi-fast-perl libcgi-pm-perl
libconfig-inifiles-perl libdbd-mysql-perl libdbi-perl libfcgi-perl
libhtml-template-perl libreadline5 libsigsegv2 libterm-readkey-perl
mariadb-client-10.3 mariadb-client-core-10.3 mariadb-server-10.3
mariadb-server-core-10.3 rsync socat
Önerilen paketler:
gawk-doc libclone-perl libmldbm-perl libnet-daemon-perl
libsql-statement-perl libipc-sharedcache-perl mailx mariadb-test
netcat-openbsd tinyca
Aşağıdaki YENİ paketler kurulacak:
default-mysql-client default-mysql-client-core default-mysql-server
default-mysql-server-core galera-3 gawk libaio1 libcgi-fast-perl
libcgi-pm-perl libconfig-inifiles-perl libdbd-mysql-perl libdbi-perl
libfcgi-perl libhtml-template-perl libreadline5 libsigsegv2
libterm-readkey-perl mariadb-client-10.3 mariadb-client-core-10.3
mariadb-server-10.3 mariadb-server-core-10.3 rsync socat
0 paket yükseltilecek, 23 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.
20,8 MB arşiv dosyası indirilecek.
Bu işlem tamamlandıktan sonra 166 MB ek disk alanı kullanılacak.
Devam etmek istiyor musunuz? [E/h] E
İndir: 1 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libsigsegv2 amd64 2.12-2 [32,8 kB]
İndir: 2 http://depo.pardus.org.tr/pardus ondokuz/main amd64 gawk amd64 1:4.2.1+dfsg-1 [660 kB]
İndir: 3 http://depo.pardus.org.tr/pardus ondokuz/main amd64 galera-3 amd64 25.3.25-2 [920 kB]
İndir: 4 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libdbi-perl amd64 1.642-1+b1 [775 kB]
İndir: 5 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libconfig-inifiles-perl all 3.000001-1 [51,9 kB]
İndir: 6 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libaio1 amd64 0.3.112-3 [11,2 kB]
İndir: 7 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libreadline5 amd64 5.2+dfsg-3+b13 [120 kB]
İndir: 8 http://depo.pardus.org.tr/pardus ondokuz/main amd64 mariadb-client-core-10.3 amd64 1:10.3.17-0+deb10u1 [5.689 kB]
İndir: 9 http://depo.pardus.org.tr/pardus ondokuz/main amd64 mariadb-client-10.3 amd64 1:10.3.17-0+deb10u1 [1.137 kB]
İndir: 10 http://depo.pardus.org.tr/pardus ondokuz/main amd64 mariadb-server-core-10.3 amd64 1:10.3.17-0+deb10u1 [5.897 kB]
İndir: 11 http://depo.pardus.org.tr/pardus ondokuz/main amd64 rsync amd64 3.1.3-6 [397 kB]
İndir: 12 http://depo.pardus.org.tr/pardus ondokuz/main amd64 socat amd64 1.7.3.2-2 [358 kB]
İndir: 13 http://depo.pardus.org.tr/pardus ondokuz/main amd64 mariadb-server-10.3 amd64 1:10.3.17-0+deb10u1 [4.202 kB]
İndir: 14 http://depo.pardus.org.tr/pardus ondokuz/main amd64 default-mysql-client all 1.0.5 [3.532 B]
İndir: 15 http://depo.pardus.org.tr/pardus ondokuz/main amd64 default-mysql-client-core all 1.0.5 [3.528 B]
İndir: 16 http://depo.pardus.org.tr/pardus ondokuz/main amd64 default-mysql-server all 1.0.5 [3.540 B]
İndir: 17 http://depo.pardus.org.tr/pardus ondokuz/main amd64 default-mysql-server-core all 1.0.5 [3.540 B]
İndir: 18 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libcgi-pm-perl all 4.40-1 [222 kB]
İndir: 19 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libfcgi-perl amd64 0.78-2+b3 [39,0 kB]
İndir: 20 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libcgi-fast-perl all 1:2.13-1 [11,4 kB]
İndir: 21 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libdbd-mysql-perl amd64 4.050-2 [121 kB]
İndir: 22 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libhtml-template-perl all 2.97-1 [66,0 kB]
İndir: 23 http://depo.pardus.org.tr/pardus ondokuz/main amd64 libterm-readkey-perl amd64 2.38-1 [27,4 kB]
35 sn.'de 20,8 MB alındı (586 kB/s)
Paketler önyapılandırılıyor …
Daha önce seçili olmayan libsigsegv2:amd64 paketi seçiliyor.
(Veritabanı okunuyor … 233757 dosya veya dizin kurulu durumda.)
Paket açılacak: …/libsigsegv2_2.12-2_amd64.deb …
Paket açılıyor: libsigsegv2:amd64 (2.12-2) …
Ayarlanıyor: libsigsegv2:amd64 (2.12-2) …
Daha önce seçili olmayan gawk paketi seçiliyor.
(Veritabanı okunuyor … 233766 dosya veya dizin kurulu durumda.)
Paket açılacak: …/00-gawk_1%3a4.2.1+dfsg-1_amd64.deb …
Paket açılıyor: gawk (1:4.2.1+dfsg-1) …
Daha önce seçili olmayan galera-3 paketi seçiliyor.
Paket açılacak: …/01-galera-3_25.3.25-2_amd64.deb …
Paket açılıyor: galera-3 (25.3.25-2) …
Daha önce seçili olmayan libdbi-perl:amd64 paketi seçiliyor.
Paket açılacak: …/02-libdbi-perl_1.642-1+b1_amd64.deb …
Paket açılıyor: libdbi-perl:amd64 (1.642-1+b1) …
Daha önce seçili olmayan libconfig-inifiles-perl paketi seçiliyor.
Paket açılacak: …/03-libconfig-inifiles-perl_3.000001-1_all.deb …
Paket açılıyor: libconfig-inifiles-perl (3.000001-1) …
Daha önce seçili olmayan libaio1:amd64 paketi seçiliyor.
Paket açılacak: …/04-libaio1_0.3.112-3_amd64.deb …
Paket açılıyor: libaio1:amd64 (0.3.112-3) …
Daha önce seçili olmayan libreadline5:amd64 paketi seçiliyor.
Paket açılacak: …/05-libreadline5_5.2+dfsg-3+b13_amd64.deb …
Paket açılıyor: libreadline5:amd64 (5.2+dfsg-3+b13) …
Daha önce seçili olmayan mariadb-client-core-10.3 paketi seçiliyor.
Paket açılacak: …/06-mariadb-client-core-10.3_1%3a10.3.17-0+deb10u1_amd64.deb …
Paket açılıyor: mariadb-client-core-10.3 (1:10.3.17-0+deb10u1) …
Daha önce seçili olmayan mariadb-client-10.3 paketi seçiliyor.
Paket açılacak: …/07-mariadb-client-10.3_1%3a10.3.17-0+deb10u1_amd64.deb …
Paket açılıyor: mariadb-client-10.3 (1:10.3.17-0+deb10u1) …
Daha önce seçili olmayan mariadb-server-core-10.3 paketi seçiliyor.
Paket açılacak: …/08-mariadb-server-core-10.3_1%3a10.3.17-0+deb10u1_amd64.deb …
Paket açılıyor: mariadb-server-core-10.3 (1:10.3.17-0+deb10u1) …
Daha önce seçili olmayan rsync paketi seçiliyor.
Paket açılacak: …/09-rsync_3.1.3-6_amd64.deb …
Paket açılıyor: rsync (3.1.3-6) …
Daha önce seçili olmayan socat paketi seçiliyor.
Paket açılacak: …/10-socat_1.7.3.2-2_amd64.deb …
Paket açılıyor: socat (1.7.3.2-2) …
Daha önce seçili olmayan mariadb-server-10.3 paketi seçiliyor.
Paket açılacak: …/11-mariadb-server-10.3_1%3a10.3.17-0+deb10u1_amd64.deb …
Paket açılıyor: mariadb-server-10.3 (1:10.3.17-0+deb10u1) …
Daha önce seçili olmayan default-mysql-client paketi seçiliyor.
Paket açılacak: …/12-default-mysql-client_1.0.5_all.deb …
Paket açılıyor: default-mysql-client (1.0.5) …
Daha önce seçili olmayan default-mysql-client-core paketi seçiliyor.
Paket açılacak: …/13-default-mysql-client-core_1.0.5_all.deb …
Paket açılıyor: default-mysql-client-core (1.0.5) …
Daha önce seçili olmayan default-mysql-server paketi seçiliyor.
Paket açılacak: …/14-default-mysql-server_1.0.5_all.deb …
Paket açılıyor: default-mysql-server (1.0.5) …
Daha önce seçili olmayan default-mysql-server-core paketi seçiliyor.
Paket açılacak: …/15-default-mysql-server-core_1.0.5_all.deb …
Paket açılıyor: default-mysql-server-core (1.0.5) …
Daha önce seçili olmayan libcgi-pm-perl paketi seçiliyor.
Paket açılacak: …/16-libcgi-pm-perl_4.40-1_all.deb …
Paket açılıyor: libcgi-pm-perl (4.40-1) …
Daha önce seçili olmayan libfcgi-perl paketi seçiliyor.
Paket açılacak: …/17-libfcgi-perl_0.78-2+b3_amd64.deb …
Paket açılıyor: libfcgi-perl (0.78-2+b3) …
Daha önce seçili olmayan libcgi-fast-perl paketi seçiliyor.
Paket açılacak: …/18-libcgi-fast-perl_1%3a2.13-1_all.deb …
Paket açılıyor: libcgi-fast-perl (1:2.13-1) …
Daha önce seçili olmayan libdbd-mysql-perl:amd64 paketi seçiliyor.
Paket açılacak: …/19-libdbd-mysql-perl_4.050-2_amd64.deb …
Paket açılıyor: libdbd-mysql-perl:amd64 (4.050-2) …
Daha önce seçili olmayan libhtml-template-perl paketi seçiliyor.
Paket açılacak: …/20-libhtml-template-perl_2.97-1_all.deb …
Paket açılıyor: libhtml-template-perl (2.97-1) …
Daha önce seçili olmayan libterm-readkey-perl paketi seçiliyor.
Paket açılacak: …/21-libterm-readkey-perl_2.38-1_amd64.deb …
Paket açılıyor: libterm-readkey-perl (2.38-1) …
Ayarlanıyor: libconfig-inifiles-perl (3.000001-1) …
Ayarlanıyor: libreadline5:amd64 (5.2+dfsg-3+b13) …
Ayarlanıyor: gawk (1:4.2.1+dfsg-1) …
Ayarlanıyor: libcgi-pm-perl (4.40-1) …
Ayarlanıyor: libhtml-template-perl (2.97-1) …
Ayarlanıyor: socat (1.7.3.2-2) …
Ayarlanıyor: galera-3 (25.3.25-2) …
Ayarlanıyor: libfcgi-perl (0.78-2+b3) …
Ayarlanıyor: libterm-readkey-perl (2.38-1) …
Ayarlanıyor: libaio1:amd64 (0.3.112-3) …
Ayarlanıyor: libdbi-perl:amd64 (1.642-1+b1) …
Ayarlanıyor: rsync (3.1.3-6) …
Ayarlanıyor: libcgi-fast-perl (1:2.13-1) …
Ayarlanıyor: mariadb-server-core-10.3 (1:10.3.17-0+deb10u1) …
Ayarlanıyor: libdbd-mysql-perl:amd64 (4.050-2) …
Ayarlanıyor: mariadb-client-core-10.3 (1:10.3.17-0+deb10u1) …
Ayarlanıyor: default-mysql-server-core (1.0.5) …
Ayarlanıyor: default-mysql-client-core (1.0.5) …
Ayarlanıyor: mariadb-client-10.3 (1:10.3.17-0+deb10u1) …
Ayarlanıyor: mariadb-server-10.3 (1:10.3.17-0+deb10u1) …
Created symlink /etc/systemd/system/mysql.service → /lib/systemd/system/mariadb.service.
Created symlink /etc/systemd/system/mysqld.service → /lib/systemd/system/mariadb.service.
Created symlink /etc/systemd/system/multi-user.target.wants/mariadb.service → /lib/systemd/system/mariadb.service.
Ayarlanıyor: default-mysql-client (1.0.5) …
Ayarlanıyor: default-mysql-server (1.0.5) …
Tetikleyiciler işleniyor: libc-bin (2.28-10) …
Tetikleyiciler işleniyor: systemd (241-7~deb10u1) …
Tetikleyiciler işleniyor: man-db (2.8.5-2) …
atillamaden@ATL:~$ sudo apt-get install apache2
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
apache2 zaten en yeni sürümde (2.4.38-3+deb10u3).
0 paket yükseltilecek, 0 yeni paket kurulacak, 0 paket kaldırılacak ve 0 paket yükseltilmeyecek.
atillamaden@ATL:~$ sudo apt-get install php5 php-pear php5-mysql
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
php5 paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

php5-mysql paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘php5’ paketi için kurulum adayı yok
E: ‘php5-mysql’ paketi için kurulum adayı yok
atillamaden@ATL:~$ sudo apt-get install mysql-server
Paket listeleri okunuyor… Bitti
Bağımlılık ağacı oluşturuluyor
Durum bilgisi okunuyor… Bitti
mysql-server paketi mevcut değil, ancak başka paket içerisinden işaret edilmiş.
Bu durum bu paketin kayıp, eskidiği için bırakılmış, ya da başka bir
yazılım kaynağında bulunduğu anlamına gelebilir.

E: ‘mysql-server’ paketi için kurulum adayı yok
atillamaden@ATL:~$

dediğiniz kodu yazdım hocam yine kurulum yaparken uyarı alıyorum.

0 Likes

(𝗄𝖺𝖺𝗇) #4

sudo apt install php7.3 php-pear php7.3-mysql komutunu kullanın.

0 Likes

(atilla) #5

hocam birde phpmyadmin kurulumunu nasıl yapabilirim o konudada yardımcı olabilirseniz şimdiden çok teşekkürler.

0 Likes

(𝗄𝖺𝖺𝗇) #6
1 Like

(atilla) #7

hocam yapamadım buradaki işlemi önceki kurulumlarda aşağıdaki komutlarla sorunsuz çalısıyordu not almıstım hatta.

sudo apt-get update
sudo apt-get install apache2
sudo apt-get install mysql-server
sudo apt-get install php5 php-pear php5-mysql
sudo apt-get install phpmyadmin

kurmam gereken paketler bunlar php5 kurmam gerekiyor bu arada hocam nasıl bir yol izlemeliyim.
phpmyadmini hiç kuramadım. suanda

0 Likes

(𝗄𝖺𝖺𝗇) #8

php yi zaten kurdunuz siz. Sadece phpmyadmin kurulumu ve ayarlarını yapacaksınız.

0 Likes